Get Content by Slug
The endpoint allows you to retrieve a specific Content by the content full slug. In case cache version is not present, it will redirect to the latest version.
Authorization
apikey In: query
Path Parameters
Unique identifier for the Space object.
Content full slug.
Query Parameters
Cache version.
Locale unique identifier (ISO 639-1).
Content version.
Value in
- "draft"
Authentication Token.
Resolve all references.
Resolve all links.
Response Body
application/json
curl -X GET "https://example.com/api/v1/spaces/UdV5ygPZuOD1JMO9Qat9/contents/slugs/legal/policy?token=fb6oTcVjbnyLCMhO2iLY"{ "id": "WLWc4vOACzG1QjK9AEo9", "kind": "DOCUMENT", "name": "Privacy Policy", "locale": "en", "slug": "privacy-policy", "parentSlug": "legal", "fullSlug": "legal/privacy-policy", "createdAt": "2023-08-23T21:08:17.551Z", "updatedAt": "2024-01-23T14:10:37.852Z", "publishedAt": "2023-08-23T21:09:15.191Z", "data": { "_id": "a8ca3ed3-6613-4fb6-ae4e-5b846eb5775c", "schema": "docArticle" }}Get Links GET
The endpoint allows you to retrieve all Content summery metadata mainly used to recreate content tree. In case cache version is not present, it will redirect to the latest version.
Get Content By ID GET
The endpoint allows you to retrieve a specific Content by Unique identifier for the Content object. In case cache version is not present, it will redirect to the latest version.